> For the complete documentation index, see [llms.txt](https://docs.wisej.com/api/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.wisej.com/api/wisej.web/enumerations/wisej.web.display.md).

# Display

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (4.0.0.0)

Specifies whether a control displays the label, the icon or both.

{% tabs %}
{% tab title="C#" %}

```csharp
public enum Display : Enum
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Enum Display As [Enum]
```

{% endtab %}
{% endtabs %}

## Fields

| Name      | Description                                             |
| --------- | ------------------------------------------------------- |
| **Both**  | The control displays both, the icon and text.           |
| **Icon**  | The control hides the text and displays only the icon.  |
| **Label** | The control hides the icon and displays only the label. |

## Used By

| Name                                                                                                                     | Description                                                                                                                                                     |
| ------------------------------------------------------------------------------------------------------------------------ | --------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| [Button.Display](/api/wisej.web/buttons/button.md#display)                                                               | Returns or sets the [Display](/api/wisej.web/enumerations/wisej.web.display.md) mode of the control to determine whether to display the icon, the text or both. |
| [TabControl.Display](/api/wisej.web/containers/tabcontrol.md#display)                                                    | Returns or sets the [Display](/api/wisej.web/enumerations/wisej.web.display.md) mode of the control to determine whether to display the icon, the text or both. |
| [ButtonExtensions.Display](/api/wisej.web.markup/extensions/wisej.web.markup.buttonextensions.md#display-button-display) | Sets the Display property of the specified [Button](/api/wisej.web/buttons/button.md).                                                                          |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.wisej.com/api/wisej.web/enumerations/wisej.web.display.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
